<div class="card">
  <h3>Listado de Tickets de Coordinador</h3>
  <div class="card-body">


    <div class="row">
      <div style="margin-right: -4%;" class="col-sm-1">
        <label> Filtrar: </label>
      </div>
      <div class=" col-sm-3" style="margin-right: 30%;">

         <select class="selectpicker form-control" [(ngModel)]="estadoTicket" #Datseveridad (change)=" obtenerServiciosPorCategoria(Datseveridad.value)" >
          <option [value]="1">Sin Asignar</option>
          <option [value]="2">Asignados</option>
          <option [value]="5">Cerrados</option>
        </select> 
        <!-- <select class="form-select" id="listacategorias" aria-label=".form-select-lg example"  (change)="obtenerServiciosPorCategoria($event)"> 
          <option value="0" selected >Todas las categorias</option>
          <option *ngFor="let estado of estado" value={{estado.nombreEstado}} >{{estado.nombreEstado}}</option>
      </select>  -->

      </div>

    </div>

    
        <table class="table table-hover">
          <thead>
            <tr>
              <th>Num Ticket</th>
              <th>Fecha creacion</th>
              <th>Usuario</th>
              <th>Servcio</th>
            </tr>
          </thead>
          <tbody>

            <tr *ngFor="let ticket of ticket | paginate:{itemsPerPage: 10, currentPage: page} ">
          
              <td >
                {{ticket.codticket}}</td>
                <td >
                {{ticket.fechaCreacion | date:'MMM dd, yyyy hh:mm' }}</td>
                <td >
                {{ticket.usuario.persona.nombres}}</td>
                <td >
                {{ticket.servicio.tipo.nombre}}</td>

              <td ><button
                  (click)="Editarticket(ticket.codticket)" class="btn btn-outline-primary ">ver mas>> </button>

              </td>
            
            </tr>
          </tbody>

        </table>
        <pagination-controls (pageChange)="page = $event"></pagination-controls>
      
      <!-- <div *ngSwitchCase="'Sin Asignar'">
        <table class="table table-hover">
          <thead>
            <tr>
              <th>Num Ticket</th>
              <th>Fecha creacion</th>
              <th>Usuario</th>
              <th>Servcio</th>
            </tr>
          </thead>
          <tbody>

            <tr *ngFor="let ticket of ticket | paginate:{itemsPerPage: 10, currentPage: page} ">

              <td *ngIf="ticket.tecnico == null && ticket.solucion ==null && ticket.estado.codEstado!=3">
                {{ticket.codticket}}</td>
              <td *ngIf="ticket.tecnico == null && ticket.solucion ==null && ticket.estado.codEstado!=3 ">
                {{ticket.fechaCreacion | date:'MMM dd, yyyy hh:mm' }}</td>
              <td *ngIf="ticket.tecnico == null && ticket.solucion ==null && ticket.estado.codEstado!=3 ">
                {{ticket.usuario.persona.nombres}}</td>
              <td *ngIf="ticket.tecnico == null && ticket.solucion ==null && ticket.estado.codEstado!=3">
                {{ticket.servicio.tipo.nombre}}</td>

              <td *ngIf="ticket.tecnico == null && ticket.solucion ==null && ticket.estado.codEstado!=3 "><button
                  (click)="Editarticket(ticket.codticket)" class="btn btn-outline-primary ">ver mas>> </button>

              </td>
            </tr>
          </tbody>

        </table>
        <pagination-controls (pageChange)="page = $event"></pagination-controls>
      </div>
      <div *ngSwitchCase="'Asignados'">
        <table class="table table-hover">
          <thead>
            <tr>
              <th>Num Ticket</th>
              <th>Fecha creacion</th>
              <th>Usuario</th>
              <th>Servcio</th>
            </tr>
          </thead>
          <tbody>

            <tr *ngFor="let ticket of ticket | paginate:{itemsPerPage: 10, currentPage: page}">
              <td
                *ngIf="(ticket.estado.codEstado !=4 && ticket.estado.codEstado !=5 && ticket.estado.codEstado !=3) && ticket.solucion ==null && ticket.tecnico !=null">
                {{ticket.codticket}}</td>
              <td
                *ngIf="(ticket.estado.codEstado !=4 && ticket.estado.codEstado !=5 && ticket.estado.codEstado !=3) && ticket.solucion ==null && ticket.tecnico !=null">
                {{ticket.fechaCreacion | date:'MMM dd, yyyy hh:mm' }}</td>
              <td
                *ngIf="(ticket.estado.codEstado !=4 && ticket.estado.codEstado !=5 && ticket.estado.codEstado !=3) && ticket.solucion ==null && ticket.tecnico !=null ">
                {{ticket.usuario.persona.nombres}}</td>
              <td
                *ngIf="(ticket.estado.codEstado !=4 && ticket.estado.codEstado !=5 && ticket.estado.codEstado !=3) && ticket.solucion ==null && ticket.tecnico !=null">
                {{ticket.servicio.tipo.nombre}}</td>

              <td
                *ngIf="(ticket.estado.codEstado !=4 && ticket.estado.codEstado !=5 && ticket.estado.codEstado !=3) && ticket.solucion ==null && ticket.tecnico !=null ">
                <button (click)="Editarticket(ticket.codticket)" class="btn btn-outline-primary ">ver mas>> </button>

              </td>
            </tr>
          </tbody>

        </table>
        <pagination-controls (pageChange)="page = $event"></pagination-controls>
      </div>
      <div *ngSwitchCase="'Resueltos'">
        <table class="table table-hover">
          <thead>
            <tr>
              <th>Num Ticket</th>
              <th>Fecha creacion</th>
              <th>Usuario</th>
              <th>Servcio</th>
            </tr>
          </thead>
          <tbody>

            <tr *ngFor="let ticket of ticket  | paginate:{itemsPerPage: 10, currentPage: page} ">
              <td
                *ngIf="(ticket.estado.codEstado ==4 || ticket.estado.codEstado ==5) && ticket.tecnico !=null && ticket.ticketEstado!==false">
                {{ticket.codticket}}</td>
              <td
                *ngIf="(ticket.estado.codEstado ==4 || ticket.estado.codEstado ==5) && ticket.tecnico !=null && ticket.ticketEstado!==false">
                {{ticket.fechaCreacion | date:'MMM dd, yyyy hh:mm' }}</td>
              <td
                *ngIf="(ticket.estado.codEstado ==4 || ticket.estado.codEstado ==5) && ticket.tecnico !=null && ticket.ticketEstado!==false">
                {{ticket.usuario.persona.nombres}}</td>
              <td
                *ngIf="(ticket.estado.codEstado ==4 || ticket.estado.codEstado ==5) && ticket.tecnico !=null && ticket.ticketEstado!==false">
                {{ticket.servicio.tipo.nombre}}</td>

              <td
                *ngIf="(ticket.estado.codEstado ==4 || ticket.estado.codEstado ==5) && ticket.tecnico !=null && ticket.ticketEstado!==false">
                <button (click)="Editarticket(ticket.codticket)" class="btn btn-outline-primary ">ver mas>> </button>

              </td>
            </tr>
          </tbody>

        </table>
        <pagination-controls (pageChange)="page = $event"></pagination-controls>
      </div> -->

    
  </div>
</div>